GET
/
api
/
v1
/
stacks
/
{uuid}
/
deployments
/
{id}
Get stack deployment details
curl --request GET \
  --url https://app.miget.com/api/v1/stacks/{uuid}/deployments/{id} \
  --header 'Authorization: <api-key>'
{
  "uuid": "<string>",
  "state": "<string>",
  "subevent": "<string>",
  "commit_sha": "<string>",
  "validation_errors": {},
  "published_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token for authentication. Format: 'Bearer {token}'

Headers

X-Workspace-Id
string

Workspace ID (uses default workspace if not provided)

Path Parameters

uuid
string
required

Stack UUID

id
string
required

Deployment UUID

Response

Get stack deployment details

Api_V1_Entities_StackDeployment model

uuid
string
required

Deployment identifier

state
string
required

Deployment state (pending, validating, publishing, building, succeeded, failed, cancelled)

subevent
string
required

Deployment kind (build or deploy)

commit_sha
string
required

Deployed commit SHA

validation_errors
object
required

Validation errors when the deployment failed

published_at
string<date-time>
required

When the build/deploy was published

completed_at
string<date-time>
required

When the deployment reached a terminal state

created_at
string<date-time>
required

Creation timestamp